<?php

// Copyright (C) 2005 - Okki (okki666@free.fr)

// Ce programme est libre, vous pouvez le redistribuer et/ou le modifier
// selon les termes de la Licence Publique Générale GNU publiée par la
// Free Software Foundation (version 2 ou bien toute autre version ultérieure
// choisie par vous).

// Ce programme est distribué car potentiellement utile, mais
// SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties
// de commercialisation ou d'adaptation dans un but spécifique. Reportez-vous
// à la Licence Publique Générale GNU pour plus de détails.

// Vous devez avoir reçu une copie de la Licence Publique Générale GNU
// en même temps que ce programme ; si ce n'est pas le cas, écrivez à la
// Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA 02111-1307, États-Unis.



// Variables récupérées depuis le formulaire

extract($_POST, EXTR_SKIP);

$casting = explode("\n", $casting);

// On supprime les échappements
if (!empty($synopsis)) { $synopsis = stripslashes($synopsis); }
if (!empty($titre_fr)) { $titre_fr = stripslashes($titre_fr); }
if (!empty($titre_vo)) { $titre_vo = stripslashes($titre_vo); }
if (!empty($titre_us)) { $titre_us = stripslashes($titre_us); }
if (!empty($realisation1)) { $realisation1 = stripslashes($realisation1); }
if (!empty($realisation2)) { $realisation2 = stripslashes($realisation2); }
if (!empty($assistant1)) { $assistant1 = stripslashes($assistant1); }
if (!empty($scenario1)) { $scenario1 = stripslashes($scenario1); }
if (!empty($scenario2)) { $scenario2 = stripslashes($scenario2); }
if (!empty($scenario3)) { $scenario3 = stripslashes($scenario3); }
if (!empty($dialogue1)) { $dialogue1 = stripslashes($dialogue1); }
if (!empty($dialogue2)) { $dialogue2 = stripslashes($dialogue2); }
if (!empty($production1)) { $production1 = stripslashes($production1); }
if (!empty($production2)) { $production2 = stripslashes($production2); }
if (!empty($production3)) { $production3 = stripslashes($production3); }
if (!empty($musique1)) { $musique1 = stripslashes($musique1); }
if (!empty($musique2)) { $musique2 = stripslashes($musique2); }
if (!empty($photographie1)) { $photographie1 = stripslashes($photographie1); }
if (!empty($photographie2)) { $photographie2 = stripslashes($photographie2); }
if (!empty($montage1)) { $montage1 = stripslashes($montage1); }
if (!empty($montage2)) { $montage2 = stripslashes($montage2); }
if (!empty($decor1)) { $decor1 = stripslashes($decor1); }
if (!empty($decor2)) { $decor2 = stripslashes($decor2); }
if (!empty($costumes1)) { $costumes1 = stripslashes($costumes1); }
if (!empty($costumes2)) { $costumes2 = stripslashes($costumes2); }
if (!empty($tournage)) { $tournage = stripslashes($tournage); }
if (!empty($genre_libre)) { $genre_libre = stripslashes($genre_libre); }
if (!empty($anecdotes)) { $anecdotes = stripslashes($anecdotes); }
if (!empty($recompenses)) { $recompenses = stripslashes($recompenses); }

// Majuscule sur le premier caractere du titre
if (!empty($titre_fr)) { $titre_fr = trim(ucfirst($titre_fr)); }
if (!empty($titre_vo)) { $titre_vo = trim(ucfirst($titre_vo)); }
if (!empty($titre_us)) { $titre_us = trim(ucfirst($titre_us)); }

// Pour chaque pays, on specifie la nationalite
// (hongkongais pour Hong Kong) ainsi que le nom
// du pays avec la bonne orthographe
// (les noms de variables refusant certains caractères)

switch ($origine) {

case 'Null':
	$nationalite = "";
	break;

case 'Allemagne':
	$nationalite = "allemand";
	$pays = "Allemagne";
	break;
case 'Australie':
	$nationalite = "australien";
	$pays = "Australie";
	break;
case 'Belgique':
	$nationalite = "belge";
	$pays = "Belgique";
	break;
case 'Canada':
	$nationalite = "canadien";
	$pays = "Canada";
	break;
case 'Chine':
	$nationalite = "chinois";
	$pays = "Chine";
	break;
case 'Coree_du_Sud':
	$nationalite = "sud-coréen";
	$pays = "Corée du Sud";
   break;
case 'Espagne':
	$nationalite = "espagnol";
	$pays = "Espagne";
   break;
case 'Etats_Unis':
	$nationalite = "américain";
	$pays = "États-Unis d'Amérique|États-Unis";
	break;
case 'Finlande':
	$nationalite = "finlandais";
	$pays = "Finlande";
	break;
case 'France':
	$nationalite = "français";
	$pays = "France";
	break;
case 'Hong_Kong':
	$nationalite = "hongkongais";
	$pays = "Hong Kong";
	break;
case 'Inde':
	$nationalite = "indien";
	$pays = "Inde";
	break;
case 'Italie':
	$nationalite = "italien";
	$pays = "Italie";
	break;
case 'Japon':
	$nationalite = "japonais";
	$pays = "Japon";
	break;
case 'Nouvelle_Zelande':
	$nationalite = "néo-zélandais";
	$pays = "Nouvelle-Zélande";
	break;
case 'Royaume_Uni':
	$nationalite = "britannique";
	$pays = "Royaume-Uni";
	break;
case 'Russie':
	$nationalite = "russe";
	$pays = "Russie";
	break;
case 'Suede':
	$nationalite = "su�dois";
	$pays = "Su�de";
	break;
case 'Taiwan':
	$nationalite = "taïwanais";
	$pays = "Taïwan";
	break;
case 'Thailande':
	$nationalite = "thaïlandais";
	$pays = "Thaïlande";
	break;
}

// Société de production

switch ($societe) {

 case 'A_Band_Apart':
	$societe_prod = "A Band Apart";
	break;
 case 'Amblin_Entertainment':
	$societe_prod = "Amblin Entertainment";
	break;
 case 'American_Zoetrope':
	$societe_prod = "American Zoetrope";
	break;
 case 'Blue_Sky_Studios':
	$societe_prod = "Blue Sky Studios";
	break;
 case 'Castle_Rock_Entertainment':
	$societe_prod = "Castle Rock Entertainment";
	break;
 case 'Columbia_Pictures':
	$societe_prod = "Columbia Pictures";
	break;
 case 'Dimension_Films':
	$societe_prod = "Dimension Films";
	break;
 case 'DreamWorks_SKG':
	$societe_prod = "DreamWorks SKG";
	break;
 case 'EON_Productions':
	$societe_prod = "EON Productions";
	break;
 case 'Europa_Corp':
	$societe_prod = "Europa Corp.";
	break;
 case 'Focus_Features':
	$societe_prod = "Focus Features";
	break;
 case 'Fox_Searchlight_Pictures':
	$societe_prod = "Fox Searchlight Pictures";
	break;
 case 'Gaumont':
	$societe_prod = "Gaumont";
	break;
 case 'HBO_Films':
	$societe_prod = "HBO Films";
	break;
 case 'Hollywood_Pictures':
	$societe_prod = "Hollywood Pictures";
	break;
 case 'Imagine_Entertainment':
	$societe_prod = "Imagine Entertainment";
	break;
 case 'Lucasfilm_Ltd':
	$societe_prod = "Lucasfilm Ltd.";
	break;
 case 'Mandalay_Entertainment':
	$societe_prod = "Mandalay Entertainment";
	break;
 case 'Metro_Goldwyn_Mayer':
	$societe_prod = "Metro-Goldwyn-Mayer";
	break;
 case 'Miramax_Films':
	$societe_prod = "Miramax Films";
	break;
 case 'Morgan_Creek_Productions':
	$societe_prod = "Morgan Creek Productions";
	break;
 case 'New_Line_Cinema':
	$societe_prod = "New Line Cinema";
	break;
 case 'Paramount_Pictures':
	$societe_prod = "Paramount Pictures";
	break;
 case 'Pathe':
	$societe_prod = "Pathé";
	break;
 case 'Pixar_Animation_Studios':
	$societe_prod = "Pixar Animation Studios";
	break;
 case 'RKO_Pictures':
	$societe_prod = "RKO Pictures";
	break;
 case 'Samuel_Goldwyn_Films':
	$societe_prod = "Samuel Goldwyn Films";
	break;
 case 'Screen_Gems':
	$societe_prod = "Screen Gems";
	break;
 case 'Sony_Pictures_Classics':
	$societe_prod = "Sony Pictures Classics";
	break;
 case 'StudioCanal':
	$societe_prod = "StudioCanal";
	break;
 case 'Touchstone_Pictures':
	$societe_prod = "Touchstone Pictures";
	break;
 case 'TriStar':
	$societe_prod = "TriStar";
	break;
 case 'Troma_Entertainment':
	$societe_prod = "Troma Entertainment";
	break;
 case 'Twentieth_Century_Fox':
	$societe_prod = "Twentieth Century Fox";
	break;
 case 'Twentieth_Century_Fox_Animation':
	$societe_prod = "Twentieth Century Fox Animation";
	break;
 case 'United_Artists':
	$societe_prod = "United Artists";
	break;
 case 'United_International_Pictures':
	$societe_prod = "United International Pictures";
	break;
 case 'Universal_Pictures':
	$societe_prod = "Universal Pictures";
	break;
 case 'Vanguard_Films_Inc':
	$societe_prod = "Vanguard Films Inc.";
	break;
 case 'Walt_Disney_Pictures':
	$societe_prod = "Walt Disney Pictures";
	break;
 case 'Warner_Bros_Pictures':
	$societe_prod = "Warner Bros. Pictures";
	break;
}

// Suppression des accents

function retireAccent($accent) {
	$accent = strtr($accent,
		"\xA1\xAA\xBA\xBF\xC0\xC1\xC2\xC3\xC5\xC7
		\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1
		\xD2\xD3\xD4\xD5\xD8\xD9\xDA\xDB\xDD\xE0
		\xE1\xE2\xE3\xE5\xE7\xE8\xE9\xEA\xEB\xEC
		\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF8
		\xF9\xFA\xFB\xFD\xFF",
		"!ao?AAAAACEEEEIIIIDNOOOOOUUUYaaaaaceeeeiiiidnooooouuuyy");
	return $accent;
}

// Verification de la presence d'un article defini en debut de titre

function transfoTitre($titre) {

	if (strlen($titre) <= 3)
	return $titre;

	$motsClefs = array ('Les ', 'Le ', 'La ', 'L\'', 'The ');
	$str = substr($titre, 0, 4);

	if (in_array($str, $motsClefs)) {
		$str = substr($str, 0, 3);
		$titre = substr($titre.", $str", 4);
	} else {
		$str = substr($titre, 0, 3);
		if (in_array($str, $motsClefs)) {
			$str = substr($str, 0, 2);
			$titre = substr($titre.", $str", 3);
		} else {
			$str = substr($titre, 0, 2);
			if (in_array($str, $motsClefs)) {
				$titre = substr($titre.", $str", 2);
			}
		}
	}
	return $titre;
}

if (!empty($titre_fr)) {
	$titre_article_fin = transfoTitre($titre_fr);
	// Majuscule sur le premier caractere
	$titre_article_fin = ucfirst($titre_article_fin);
	// Y avait-il un article en debut de titre
	if ($titre_fr == $titre_article_fin) { $titre_article_present = "oui"; }
} else {
	$titre_article_fin = transfoTitre($titre_us);
	$titre_article_fin = ucfirst($titre_article_fin);
	if ($titre_us == $titre_article_fin) { $titre_article_present = "oui"; }
}

// Catégories genre

switch ($genre1) {
case 'Action':
	if (@$titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film d'action]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film d'action|$titre_article_fin]]"; }
	break;
case 'Animation':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film d'animation]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film d'animation|$titre_article_fin]]"; }
	break;
case 'Aventure':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film d'aventure]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film d'aventure|$titre_article_fin]]"; }
	break;
case 'Catastrophe':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film catastrophe]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film catastrophe|$titre_article_fin]]"; }
   break;
case 'Comedie':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film humoristique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film humoristique|$titre_article_fin]]"; }
		$genre1 = "Comédie";
	break;
case 'Comedie_dramatique':
    if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Comédie dramatique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Comédie dramatique|$titre_article_fin]]"; }
		$genre1 = "Comédie dramatique";
	break;
case 'Court':
	if (@$titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Court métrage]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Court métrage|$titre_article_fin]]"; }
		$genre1 = "[[Court métrage]]";
	break;
case 'Documentaire':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film documentaire]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film documentaire|$titre_article_fin]]"; }
	break;
case 'Drame':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film dramatique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film dramatique|$titre_article_fin]]"; }
	break;
case 'Erotique':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film érotique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film érotique|$titre_article_fin]]"; }
	break;
case 'Espionnage':
	if ($titre_article_present == oui) {
		$categorie_genre1 = "[[Catégorie:Film d'espionnage]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film d'espionnage|$titre_article_fin]]"; }
	break;
case 'Fantastique':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film fantastique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film fantastique|$titre_article_fin]]"; }
	break;
case 'Guerre':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film de guerre]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film de guerre|$titre_article_fin]]"; }
	break;
case 'Horreur':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film d'horreur]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film d'horreur|$titre_article_fin]]"; }
	break;
case 'Kungfu':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film de kung-fu]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film de kung-fu|$titre_article_fin]]"; }
		$genre1 = "Kung-fu";
	break;
case 'Musical':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film musical]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film musical|$titre_article_fin]]"; }
	break;
case 'Peplum':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Péplum]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Péplum|$titre_article_fin]]"; }
		$genre1 = "Péplum";
	break;
case 'Policier':
	if (@$titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film policier]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film policier|$titre_article_fin]]"; }
	break;
case 'Romance':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film romantique]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film romantique|$titre_article_fin]]"; }
	break;
case 'Sciencefiction':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Film de science-fiction]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Film de science-fiction|$titre_article_fin]]"; }
		$genre1 = "Science-fiction";
	break;
case 'Thriller':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Thriller]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Thriller|$titre_article_fin]]"; }
	break;
case 'Western':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Western]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Western|$titre_article_fin]]"; }
	break;
case 'WuXiaPian':
	if ($titre_article_present == 'oui') {
		$categorie_genre1 = "[[Catégorie:Wu Xia Pian]]";
	} else {
		$categorie_genre1 = "[[Catégorie:Wu Xia Pian|$titre_article_fin]]"; }
		$genre1 = "[[Wu Xia Pian]]";
	break;
}

switch ($genre2) {
case 'action':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film d'action]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film d'action|$titre_article_fin]]"; }
	break;
case 'animation':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film d'animation]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film d'animation|$titre_article_fin]]"; }
	break;
case 'aventure':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film d'aventure]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film d'aventure|$titre_article_fin]]"; }
	break;
case 'catastrophe':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film catastrophe]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film catastrophe|$titre_article_fin]]"; }
   break;
case 'comedie':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film humoristique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film humoristique|$titre_article_fin]]"; }
		$genre2 = "comédie";
	break;
case 'comedie_dramatique':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Comédie dramatique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Comédie dramatique|$titre_article_fin]]"; }
		$genre2 = "comédie dramatique";
	break;
case 'court':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Court métrage]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Court métrage|$titre_article_fin]]"; }
		$genre2 = "[[court métrage]]";
	break;
case 'documentaire':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film documentaire]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film documentaire|$titre_article_fin]]"; }
	break;
case 'drame':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film dramatique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film dramatique|$titre_article_fin]]"; }
	break;
case 'erotique':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film érotique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film érotique|$titre_article_fin]]"; }
	break;
case 'espionnage':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film d'espionnage]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film d'espionnage|$titre_article_fin]]"; }
	break;
case 'fantastique':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film fantastique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film fantastique|$titre_article_fin]]"; }
	break;
case 'guerre':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film de guerre]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film de guerre|$titre_article_fin]]"; }
	break;
case 'horreur':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film d'horreur]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film d'horreur|$titre_article_fin]]"; }
	break;
case 'kungfu':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film de kung-fu]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film de kung-fu|$titre_article_fin]]"; }
		$genre2 = "kung-fu";
	break;
case 'musical':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film musical]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film musical|$titre_article_fin]]"; }
	break;
case 'peplum':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Péplum]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Péplum|$titre_article_fin]]"; }
		$genre2 = "péplum";
	break;
case 'policier':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film policier]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film policier|$titre_article_fin]]"; }
	break;
case 'romance':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film romantique]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film romantique|$titre_article_fin]]"; }
	break;
case 'sciencefiction':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Film de science-fiction]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Film de science-fiction|$titre_article_fin]]"; }
		$genre2 = "science-fiction";
	break;
case 'thriller':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Thriller]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Thriller|$titre_article_fin]]"; }
	break;
case 'western':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Western]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Western|$titre_article_fin]]"; }
	break;
case 'wuxiapian':
	if ($titre_article_present == 'oui') {
		$categorie_genre2 = "[[Catégorie:Wu Xia Pian]]";
	} else {
		$categorie_genre2 = "[[Catégorie:Wu Xia Pian|$titre_article_fin]]"; }
		$genre2 = "[[Wu Xia Pian]]";
	break;
}

// Titre de film en X
$premiere_lettre = substr($titre_article_fin, 0, 1);

// Dans les categories, la premiere lettre ne doit pas etre un accent
$premiere_lettre = retireAccent($premiere_lettre);
$titre_article_fin = substr_replace($titre_article_fin, $premiere_lettre, 0, 1);

if (ereg ("([0-9])", $premiere_lettre))
{
	if ($titre_article_present == 'oui') {
		$categorie_lettre = "[[Catégorie:Titre de film en 0~9]]";
	} else {
		$categorie_lettre = "[[Catégorie:Titre de film en 0~9|$titre_article_fin]]";
	}
} else {
	if (@$titre_article_present == 'oui') {
		$categorie_lettre = "[[Catégorie:Titre de film en $premiere_lettre]]";
	} else {
		$categorie_lettre = "[[Catégorie:Titre de film en $premiere_lettre|$titre_article_fin]]";
	}
}

?>

<html>

<head>
<title>Fiche cinéma</title>
<meta name="Author" content="Okki">
<meta name="Description" content="Fiche cinéma">
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#0000FF" alink="#FF0000">
</head>

<?

echo "<p>";

// Affichage du titre, nationalité et réalisateur(s)
echo "'''''$titre_fr'''''"; if (!empty($titre_vo)) { echo " (''$titre_vo'')"; }

echo " est un film $nationalite réalisé par [["; echo trim($realisation1); echo "]]";
if (!empty($realisation2)) { echo " et [["; echo trim($realisation2); echo "]]"; }

// Jour, mois et annee
switch ($jour) {

case '01':
   $jour='1er';
   break;
case '02':
   $jour='2';
   break;
case '03':
   $jour='3';
   break;
case '04':
   $jour='4';
   break;
case '05':
   $jour='5';
   break;
case '06':
   $jour='6';
   break;
case '07':
   $jour='7';
   break;
case '08':
   $jour='8';
   break;
case '09':
   $jour='9';
}
   
// mois
switch ($mois) {

case '01':
   $mois='janvier';
   break;
case '02':
   $mois='février';
   break;
case '03':
   $mois='mars';
   break;
case '04':
   $mois='avril';
   break;
case '05':
   $mois='mai';
   break;
case '06':
   $mois='juin';
   break;
case '07':
   $mois='juillet';
   break;
case '08':
   $mois='aout';
   break;
case '09':
   $mois='septembre';
   break;
case '10':
   $mois='octobre';
   break;
case '11':
   $mois='novembre';
   break;
case '12':
   $mois='décembre';
   break;
}

if (!empty($jour) && !empty($mois)) {
	// Dans le cas du premier jour du mois on utilise un modele
	// pour que le 1er soit sureleve
	if ($jour == "1er") {
		echo ", sorti le \{\{$jour $mois}} [[$annee au cinéma|$annee]].";
	}else{
		echo ", sorti le [[$jour $mois]] [[$annee au cinéma|$annee]]."; }
}
// Seulement mois et annee
if (empty($jour) && !empty($mois)) {
	echo ", sorti en [[$mois]] [[$annee au cinéma|$annee]]."; }
// Seulement annee
if (empty($jour) && empty($mois)) {
	echo ", sorti en [[$annee au cinéma|$annee]]."; }
echo "<p>";
echo "==Synopsis==";
echo "<br>";
if (@$spoilers == "oui") { echo "{{spoilers}}<br>"; }
if (!empty($synopsis)) { echo "<pre>$synopsis</pre>"; } else { echo "À rédiger"; }
echo "<p>";
echo "==Fiche technique==";
echo "<br>";

// Affichage des différents titres (France, original, anglais)

if (!empty($titre_fr)) { echo "* Titre : ''"; echo trim($titre_fr); echo "''<br>"; }
if (!empty($titre_vo)) { echo "* Titre original : ''"; echo trim($titre_vo); echo "''<br>"; }
if (!empty($titre_us)) { echo "* Titre anglais : ''"; echo trim($titre_us); echo "''<br>"; }

// Métiers du cinéma

if (!empty($realisation1)) { echo "* Réalisation : [["; echo trim($realisation1); echo "]]"; } else { echo "* Réalisation : Inconnu";}
if (!empty($realisation2)) { echo " et [["; echo trim($realisation2); echo "]]"; }

if (!empty($assistant1)) { echo ", assistant : [["; echo trim($assistant1); echo "]]"; }

if (!empty($scenario1)) { echo "<br> * Scénario : [["; echo trim($scenario1); echo "]]";} else { echo "<br> * Scénario : Inconnu";}
if (!empty($scenario2) && empty($scenario3)) { echo " et [["; echo trim($scenario2); echo "]]"; } 
if (!empty($scenario2) && !empty($scenario3)) { echo ", [["; echo trim($scenario2); echo "]]";}
if (!empty($scenario3)) { echo " et [["; echo trim($scenario3); echo "3]]"; }

if (!empty($dialogue1)) { echo "<br> * Dialogues : [["; echo trim($dialogue1); echo "]]";}
if (!empty($dialogue2)) { echo " et [["; echo trim($dialogue2); echo "]]"; }

if (!empty($production1)) { echo "<br> * Production : [["; echo trim($production1); echo "]]";} else { echo "<br> * Production : Inconnu";}
if (!empty($production2) && empty($production3)) { echo " et [["; echo trim($production2); echo "]]"; } 
if (!empty($production2) && !empty($production3)) { echo ", [["; echo trim($production2); echo "]]";}
if (!empty($production3)) { echo " et [["; echo trim($production3); echo "]]"; }

if (!empty($societe_prod)) { echo "<br> * Société de production : [[$societe_prod]]"; }

if (!empty($musique1)) { echo "<br> * Musique : [["; echo trim($musique1); echo "]]";} else
if (!empty($musique2)) { echo " et [["; echo trim($musique2); echo "]]"; } 

if (!empty($photographie1)) { echo "<br> * Photographie : [["; echo trim($photographie1); echo "]]";}
if (!empty($photographie2)) { echo " et [["; echo trim($photographie2); echo "]]"; }

if (!empty($montage1)) { echo "<br> * Montage : [["; echo trim($montage1); echo "]]";}
if (!empty($montage2)) { echo " et [["; echo trim($montage2); echo "]]"; }

if (!empty($decor1)) { echo "<br> * Décors : [["; echo trim($decor1); echo "]]";}
if (!empty($decor2)) { echo " et [["; echo trim($decor2); echo "]]"; }

if (!empty($costumes1)) { echo "<br> * Costumes : [["; echo trim($costumes1); echo "]]";}
if (!empty($costumes2)) { echo " et [["; echo trim($costumes2); echo "]]"; }

//

if (!empty($pays)) { echo "<br> * Pays d'origine : [[$pays]]";} else { echo "<br> * Pays d'origine : Inconnu";}

if (!empty($tournage)) { echo "<br> * Tournage : $tournage"; }
echo "<br>";

// Format
echo "* Format : ";

switch ($chromatique) {
case 'Eastmancolor':
   $chromatique='Couleur ([[Eastmancolor]])';
   break;
case 'Technicolor':
   $chromatique='Couleur ([[Technicolor]])';
   break;}
if (!empty($chromatique)) { echo "$chromatique"; }

if (!empty($ratio)) { echo " - [[Formats de projection|$ratio]]"; }

// Liste des différents codages audio

switch ($audio) {
case 'Audio3':
   echo " - [[Digital Theater Systems|DTS]] / [[Dolby|Dolby Digital]] / [[Sony Dynamic Digital Sound|SDDS]]";
   break;
case 'Dolby':
   echo " - [[Dolby]]";
   break;
case 'Dolby_Digital':
   echo " - [[Dolby|Dolby Digital]]";
   break;
case 'Dolby_EX':
   echo " - [[Dolby|Dolby EX 6.1]]";
   break;
case 'Dolby_SRD':
   echo " - [[Dolby|Dolby Surround]]";
   break;
case 'DTS':
   echo " - [[Digital Theater Systems|DTS]]";
   break;
case 'Mono':
   echo " - [[Monophonique|Mono]]";
   break;
case 'Muet':
   echo " - [[Cinéma muet|Film muet]]";
   break;
case 'SDDS':
   echo " - [[Sony Dynamic Digital Sound|SDDS]]";
   break;
case 'Stereo':
   echo " - [[Son stéréophonique|Stéréo]]";
   break;
case 'THX':
   echo " - [[THX Ltd.|THX]]";
   break;
}

// Negatif

switch ($pellicule) {
case 'DV':
   echo " - [[Digital Video|DV]]";
   break;
case 'HDTV':
   echo " - [[Télévision à haute définition|HDTV]]";
   break;
case 'HDV':
   echo " - [[HDV]]";
   break;
case 'Hi8':
   echo " - [[Hi-8]]";
   break;
case 'Super8':
   echo " - [[Super 8]]";
   break;
case 'P16mm':
   echo " - [[format 16 mm|16 mm]]";
   break;
case 'P35mm':
   echo " - [[format 35 mm|35 mm]]";
   break;
case 'P70mm':
   echo " - [[format 70 mm|70 mm]]";
   break;
}

// Genre, durée et date de sortie

echo "<BR>";
if (!empty($genre1) || !empty($genre_libre)) {echo "* Genre : ";}
if (!empty($genre1)) {echo "$genre1"; }
if (!empty($genre2)) {echo ", $genre2"; }
if (!empty($genre_libre)) {echo "$genre_libre"; }
if (!empty($duree)) { echo "<br> * Durée : $duree minutes";} else { echo "<br> * Durée : Inconnue";}
echo "<br>";
echo "* Date de sortie : ";

// Jour, mois et année



if (!empty($jour) && !empty($mois)) {
	// Dans le cas du premier jour du mois on utilise un modèle
	// pour que le 1er soit surélevé
	if ($jour == "1er") {
		echo "\{\{$jour $mois}} [[$annee]]";
	}else{
		echo "[[$jour $mois]] [[$annee]]"; }
}
// Seulement mois et année
if (empty($jour) && !empty($mois)) {
	$mois = ucfirst($mois);
	echo "[[$mois]] [[$annee]]"; }
// Seulement année
if (empty($jour) && empty($mois)) {
	echo "[[$annee]]"; }

// Public

switch ($public) {
case 'Douze':
   echo "<br>* Film interdit aux moins de 12 ans lors de sa sortie en France";
   break;
case 'Seize':
   echo "<br>* Film interdit aux moins de 16 ans lors de sa sortie en France";
   break;
case 'Dixhuit':
   echo "<br>* Film interdit aux moins de 18 ans lors de sa sortie en France";
   break;
}

// Casting

if (!empty($casting)) {
echo "<p>";
echo "==Distribution==";
echo "<br>";

$moitie=count($casting)/2;
$moitie=ceil($moitie);
if ($moitie>5) {
echo '{| width="100%" align="center" border="0" cellpadding="4" cellspacing="4" <br>';
echo '|- valign="top"<br>';
echo '| width="50%" |<br>';}
$i=0;

foreach ($casting as $cle => $interprete) {
$i=$i+1;

switch ($style) {

// du type Interprete (role) ---------------------------------------------------

case 'parenthese':
{
$role = strstr($interprete, '(');
if ($moitie>5) {
if ($i==$moitie+1) {echo '| width="50%" |<br>';}}
		if (!empty($role)) {
            $interprete = stripslashes($interprete);
			$interprete = str_replace("(", "]] : ", $interprete);
			$interprete = str_replace(" ]]", "]]", $interprete);
			$interprete = str_replace("\t]]", "]]", $interprete);
            $interprete = str_replace("]]\t", "[[", $interprete);
            $interprete = str_replace(")", "", $interprete);
            $interprete = ltrim($interprete);
           if (@$role_italique != "oui") {
				echo "* [[".$interprete."<br>";
			} else {
				// Mise en italique des differents rôles
				$interprete = substr($interprete, 0, ($p = strpos($interprete, ":") + 2))."''".substr($interprete, $p)."''";
				echo "* [[".$interprete."<br>"; }
		// S'il n'y a pas de rôle associé à l'interprète,
		// on procède autrement
		} else {
            $interprete = ltrim($interprete);
			$interprete = rtrim($interprete);
			echo "* [[$interprete]]<br>";
		}}
        
break;

// du type deuxpoints ------------------------------------------------------------------------

case 'deuxpoints':
{
$role = strstr($interprete, ':');
if ($moitie>5) {
if ($i==$moitie+1) {echo '| width="50%" |<br>';}}
		if (!empty($role)) {
            $interprete = stripslashes($interprete);
			$interprete = str_replace(":", "]] : ", $interprete);
			$interprete = str_replace(" ]]", "]]", $interprete);
			$interprete = str_replace("\t]]", "]]", $interprete);
            $interprete = str_replace("]]\t", "[[", $interprete);
            $interprete = str_replace(")", "", $interprete);
            $interprete = ltrim($interprete);
           if (@$role_italique != "oui") {
				echo "* [[".$interprete."<br>";
			} else {
				// Mise en italique des differents rôles
				$interprete = substr($interprete, 0, ($p = strpos($interprete, ":") + 2))."''".substr($interprete, $p)."''";
				echo "* [[".$interprete."<br>";}
		// S'il n'y a pas de rôle associé à l'interprète,
		// on procède autrement
		} else {
            $interprete = ltrim($interprete);
			$interprete = rtrim($interprete);
			echo "* [[$interprete]]<br>";
		}}

break;

// type defaut ----------------------------------------------------------------------------------

case 'defaut':
{
if ($moitie>5) {
if ($i==$moitie+1) {echo '| width="50%" |<br>';}}

	$role = strstr($interprete, '....');
		if (!empty($role)) {
			$interprete = stripslashes($interprete);
			$interprete = str_replace("(uncredited)", "(non crédité)", $interprete);
			$interprete = str_replace("(voice)", "(voix)", $interprete);
			$interprete = str_replace("....", "]] : ", $interprete);
			$interprete = str_replace(" ]]", "]]", $interprete);
			$interprete = str_replace("\t]]", "]]", $interprete);
            $interprete = str_replace("]]\t", "[[", $interprete);
            $interprete = ltrim($interprete);

            
			if (@$role_italique != "oui") {
				echo "* [[".$interprete."<br>";
			} else {
				// Mise en italique des differents rôles
				$interprete = substr($interprete, 0, ($p = strpos($interprete, ":") + 2))."''".substr($interprete, $p)."''";
				echo "* [[".$interprete."<br>"; }

		// S'il n'y a pas de rôle associé à l'interprète,
		// on procède autrement
		} else {
            $interprete = ltrim($interprete);
			$interprete = rtrim($interprete);
			echo "* [[$interprete]]<br>";
		}
	}
}
}}
if ($moitie>5) {echo '|}<br>';}
// Recompenses et anecdotes

if (!empty($anecdotes)) {
echo "<p>";
echo "==Autour du film==";
echo "<pre>$anecdotes</pre>";
}

if (!empty($recompenses)) {
echo "<p>";
echo "==Récompenses==";
echo "<pre>$recompenses</pre>";
}

// Lien(s) externe(s) au singulier ou au pluriel ?

$nombre_liens = "0";
if (!empty($lien1)) { $nombre_liens = $nombre_liens + 1; }
if (!empty($lien2)) { $nombre_liens = $nombre_liens + 1; }
if (!empty($lien3)) { $nombre_liens = $nombre_liens + 1; }

if ($nombre_liens == 1) {
echo "<p>";
echo "==Lien externe==";
} elseif ($nombre_liens > 1) {
echo "<p>";
echo "==Liens externes==";
}

// Traitement sur les liens

// La fonction imdb() modifie une url de type
// "http://www.imdb.com/title/tt0399102/" en quelque chose de semblable
// à "http://french.imdb.com/title/tt0399102/combined" dans le but d'avoir
// l'interface en français et l'ensemble des credits sur une page unique

function imdb($url, $check_imdb, $titre_fr)
{
	$url_imdb = ereg("imdb.com", $url);
	if (!empty($url_imdb))
	{
		// Si le traitement IMDb n'est pas désactivé
		if ($check_imdb != "non")
		{
			$francais = ereg("french", $url);
			$combined = ereg("combined$", $url);

			if ($francais == FALSE) { $url = ereg_replace("www", "french", $url); }
			// Si combined ne se trouve pas en fin d'url, on commence
			// par séparer l'url du nom du site (optionnel), on place notre combined
			// puis on recolle les différents morceaux (url combined nom_du_site)
			if ($combined == FALSE) {
				$url = substr($url, 0, strrpos($url, '/') +1);
				$url = "<br>* ''[${url}combined $titre_fr]'' sur l'[[Internet Movie Database]]";
			}
		}
		else
		{
			$definition = substr($url, strrpos($url, '/') +1);
			$definition = stripslashes($definition);
			$url = substr($url, 0, strrpos($url, '/') +1);
			$url = "<br>* [$url $definition]";
		}
	}
	else
	{
		$definition = substr($url, strrpos($url, '/') +1);
		$definition = stripslashes($definition);
		$url = substr($url, 0, strrpos($url, '/') +1);
		$url = "<br>* [$url $definition]";
	}
	return $url;
}

if (!empty($lien1)) { echo imdb($lien1, @$check_imdb, $titre_fr); }
if (!empty($lien2)) { echo imdb($lien2, $check_imdb, $titre_fr); }
if (!empty($lien3)) { echo imdb($lien3, $check_imdb, $titre_fr); }

// Portails de fin

switch ($origine) {

case 'Finlande' :
   echo "<p>{{Multi bandeau|cinéma|Portail Finlande}}<p>";
   break;
case 'Inde':
   echo "<p>{{Multi bandeau|cinéma|Monde indien}}<p>";
   break;
case 'Italie':
   echo "<p>{{Multi bandeau|cinéma|Portail Italie}}<p>";
   break;
case 'Japon':
   echo "<p>{{Multi bandeau|cinéma|Japon et culture japonaise}}<p>";
   break;
default:
   echo "<p>{{cinéma}}<p>";
}

// Catégories

if (@$titre_article_present == 'oui')
	{ echo "[[Catégorie:Film $nationalite]] <br>
			[[Catégorie:Film sorti en $annee]] <br>";
			if (!empty($categorie_genre1)) { echo "$categorie_genre1 <br>"; }
			if (!empty($categorie_genre2)) { echo "$categorie_genre2 <br>"; }
			if (@$adaptation == "oui") { echo "[[Catégorie:Adaptation d'une œuvre littéraire au cinéma]] <br>"; }
			echo "$categorie_lettre"; }
else
	{ echo "[[Catégorie:Film $nationalite|$titre_article_fin]] <br>
			[[Catégorie:Film sorti en $annee|$titre_article_fin]] <br>";
			if (!empty($categorie_genre1)) { echo "$categorie_genre1 <br>"; }
			if (!empty($categorie_genre2)) { echo "$categorie_genre2 <br>"; }
			if (@$adaptation == "oui") { echo "[[Catégorie:Adaptation d'une œuvre littéraire au cinéma|$titre_article_fin]] <br>"; }
			echo "$categorie_lettre"; }

echo "</body>";
echo "</html>";
?>
